package net.sf.jasperreports.engine.base;

import net.sf.jasperreports.engine.JRFont;
import net.sf.jasperreports.engine.JRReportFont;

public class JRBaseReportFont extends JRBaseFont implements JRReportFont {
  private static final long serialVersionUID = 10200L;
  
  protected String name = null;
  
  protected boolean isDefault = false;
  
  public JRBaseReportFont(JRReportFont reportFont) {
    super(null, null, (JRFont)reportFont);
    this.name = reportFont.getName();
    this.isDefault = reportFont.isDefault();
  }
  
  public String getName() {
    return this.name;
  }
  
  public boolean isDefault() {
    return this.isDefault;
  }
}
